Skip to main content
PATCH
Update a user's details

Authorizations

Authorization
string
header
required

Enter your API key in the format: sk_test_xxxxx or sk_live_xxxxx

Path Parameters

user_id
string<uuid>
required

User ID

Example:

"123e4567-e89b-12d3-a456-426614174000"

Body

application/json
identity.first_name
string

Legal first name

Example:

"John"

identity.middle_name
string

Middle name or initial

Example:

"William"

identity.last_name
string

Legal last name

Example:

"Doe"

identity.date_of_birth
string

Date of birth in YYYY-MM-DD format

Example:

"1990-01-15"

identity.email
string

Primary email address

Example:

"john.doe@example.com"

identity.phone_number
string

Phone number (E.164 format recommended)

Example:

"+15551234567"

identity.ssn
string

Social Security Number (format: XXX-XX-XXXX or 9 digits)

Example:

"123-45-6789"

identity.passport_number
string

Passport number

Example:

"123456789"

identity.drivers_license
string

Driver's license number

Example:

"D1234567"

identity.address_line_1
string

Street address line 1

Example:

"123 Main Street"

identity.address_line_2
string

Street address line 2 (apt, suite, etc.)

Example:

"Apt 4B"

identity.city
string

City

Example:

"San Francisco"

identity.region
string

State, province, or region code

Example:

"CA"

identity.postal_code
string

Postal or ZIP code

Example:

"94102"

identity.country
string

Country (ISO 3166-1 alpha-2 code)

Example:

"US"

Response

The fields now set for the user

Every field now set, each mapped to true.

{key}
boolean